Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046597 - Remove python2 dependency
Summary: Remove python2 dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cloudfiles
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 09:29 UTC by Sitsofe Wheeler
Modified: 2016-06-29 17:23 UTC (History)
3 users (show)

Fixed In Version: python-cloudfiles-1.7.11-1.fc24 python-cloudfiles-1.7.11-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 12:57:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Sitsofe Wheeler 2013-12-26 09:29:07 UTC
Description of problem:
According to
rpm -q --requires python-cloudfiles
python-cloudfiles already has a dependency on python(abi) = 2.7 so a dependency on python2 is not required...

Version-Release number of selected component (if applicable):
python-cloudfiles-1.7.10-4.fc20.noarch

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. rpm -q --requires python-cloudfiles

Actual results:
python(abi) = 2.7
python2
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Expected results:
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Comment 2 Fedora End Of Life 2015-05-29 10:10:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 13:49:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Sitsofe Wheeler 2016-05-30 16:29:30 UTC
Still here with python-cloudfiles.noarch 1.7.10-6.fc23 . Reopening.

Comment 5 Sitsofe Wheeler 2016-05-30 16:44:52 UTC
Looks like the upstream has gone away: https://github.com/rackspace/python-cloudfiles . Perhaps this package should be dropped?

Comment 6 Fedora Admin XMLRPC Client 2016-06-17 20:21:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Pete Walter 2016-06-17 21:05:27 UTC
Why is the python2 dependency a problem?

Comment 8 Sitsofe Wheeler 2016-06-18 05:29:16 UTC
It's just duplicative and a bit imprecise. Technically if another package comes along that provides a python 2.7 abi this package would still work but would drag in cpython anyway. Further imagine a case where the python package is split up to reduce it for cloud instances. The extra dependency would pull in all of python rather than a reduced version...

Comment 10 Fedora Update System 2016-06-18 09:21:46 UTC
python-cloudfiles-1.7.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e193892cda

Comment 11 Fedora Update System 2016-06-18 09:21:50 UTC
python-cloudfiles-1.7.11-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e54bb1a830

Comment 12 Fedora Update System 2016-06-19 09:27:59 UTC
python-cloudfiles-1.7.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e193892cda

Comment 13 Fedora Update System 2016-06-19 09:28:46 UTC
python-cloudfiles-1.7.11-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e54bb1a830

Comment 14 Fedora Update System 2016-06-29 12:57:09 UTC
python-cloudfiles-1.7.11-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-29 17:23:26 UTC
python-cloudfiles-1.7.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.